#!/bin/bash
# cd $(dirname $0)

TEST_DIR=$(dirname $0)
OUTPUT_STL="output_stl.log"
OUTPUT_FT="output_ft.log"

#make -j > /dev/null
make -j

echo -e "\nstl :"
time ./containers_ft > tests/$OUTPUT_STL

echo -e "\nft :"
time ./containers_stl > tests/$OUTPUT_FT

diff --context=0 --color=always tests/$OUTPUT_STL tests/$OUTPUT_FT

#/bin/rm $TEST_DIR/$OUTPUT_STL $TEST_DIR/$OUTPUT_FT
